Package com.destroystokyo.paper.event.server

# Class GS4QueryEvent.QueryResponse

java.lang.Object
com.destroystokyo.paper.event.server.GS4QueryEvent.QueryResponse

Enclosing class:
  GS4QueryEvent

public static final class GS4QueryEvent.QueryResponse extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GS4QueryEvent.QueryResponse.Builder`
A builder for `GS4QueryEvent.QueryResponse` objects.
`static class`
`GS4QueryEvent.QueryResponse.PluginInformation`
Plugin information

## Method Summary

Modifier and Type
Method
Description
`static @NotNull GS4QueryEvent.QueryResponse.Builder`
`builder()`
Creates a new `GS4QueryEvent.QueryResponse.Builder` instance
`int`
`getCurrentPlayers()`
Get current online player count which will be used to reply to the query.
`@NotNull String`
`getGameVersion()`
Get game version which will be used to reply to the query.
`@NotNull String`
`getHostname()`
Get server (public facing) hostname
`@NotNull String`
`getMap()`
Get map name which will be used to reply to the query.
`int`
`getMaxPlayers()`
Get max player count which will be used to reply to the query.
`@NotNull String`
`getMotd()`
Get motd which will be used to reply to the query.
`@NotNull Collection<String>`
`getPlayers()`
Get collection of players which will be used to reply to the query.
`@NotNull Collection<GS4QueryEvent.QueryResponse.PluginInformation>`
`getPlugins()`
Get list of plugins which will be used to reply to the query.
`int`
`getPort()`
Get server (public facing) port
`@NotNull String`
`getServerVersion()`
Get server software (name and version) which will be used to reply to the query.
`@NotNull GS4QueryEvent.QueryResponse.Builder`
`toBuilder()`
Creates a new `GS4QueryEvent.QueryResponse.Builder` instance from data represented by this response

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMotd

@NotNull public @NotNull String getMotd()
Get motd which will be used to reply to the query. By default it is `Server.getMotd()`.

Returns:
  motd

### getGameVersion

@NotNull public @NotNull String getGameVersion()
Get game version which will be used to reply to the query. By default supported Minecraft versions range is sent.

Returns:
  game version

### getMap

@NotNull public @NotNull String getMap()
Get map name which will be used to reply to the query. By default `world` is sent.

Returns:
  map name

### getCurrentPlayers

public int getCurrentPlayers()
Get current online player count which will be used to reply to the query.

Returns:
  online player count

### getMaxPlayers

public int getMaxPlayers()
Get max player count which will be used to reply to the query.

Returns:
  max player count

### getHostname

@NotNull public @NotNull String getHostname()
Get server (public facing) hostname

Returns:
  server hostname

### getPort

public int getPort()
Get server (public facing) port

Returns:
  server port

### getPlayers

@NotNull public @NotNull Collection<String> getPlayers()
Get collection of players which will be used to reply to the query.

Returns:
  collection of players

### getServerVersion

@NotNull public @NotNull String getServerVersion()
Get server software (name and version) which will be used to reply to the query.

Returns:
  server software

### getPlugins

@NotNull public @NotNull Collection<GS4QueryEvent.QueryResponse.PluginInformation> getPlugins()
Get list of plugins which will be used to reply to the query.

Returns:
  collection of plugins

### toBuilder

@NotNull public @NotNull GS4QueryEvent.QueryResponse.Builder toBuilder()
Creates a new `GS4QueryEvent.QueryResponse.Builder` instance from data represented by this response

Returns:
  `GS4QueryEvent.QueryResponse` builder

### builder

@NotNull public static @NotNull GS4QueryEvent.QueryResponse.Builder builder()
Creates a new `GS4QueryEvent.QueryResponse.Builder` instance

Returns:
  `GS4QueryEvent.QueryResponse` builder